Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002842 [JEDI VCL] 00 JVCL Components major always 2005-04-06 04:22 2006-04-05 01:19
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0002842: jvExpress resorts buttons when visibility changes
Description Changing the visibility of buttons on the bar changes the order they were in design time.
If you set all buttons to visible false and randomly set some of the buttons to visible true, the order of the buttons changes.
Additional Information
Tags No tags attached.
Attached Files zip file icon Project1.zip [^] (35,797 bytes) 2005-04-06 04:22

- Relationships

-  Notes
(0007203)
obones (administrator)
2005-05-18 06:41

This has been confirmed with the latest CVS under Delphi 7 and Win XP SP1 (no themes)
(0008779)
obones (administrator)
2006-03-31 01:00

In TJvLookoutPage.ScrollChildren, Sorting triggers the issue, and I can't see any reason why it should be sorted according to "Top" in the first place.
So I deactivated it, and will put this in CVS as soon as it works again.
(0008930)
obones (administrator)
2006-04-05 01:19

This is now in CVS

- Issue History
Date Modified Username Field Change
2005-04-06 04:22 anonymous New Issue
2005-04-06 04:22 anonymous File Added: Project1.zip
2005-05-18 06:41 obones Note Added: 0007203
2005-05-18 06:41 obones Status new => confirmed
2006-03-31 01:00 obones Note Added: 0008779
2006-04-05 01:19 obones Status confirmed => resolved
2006-04-05 01:19 obones Resolution open => fixed
2006-04-05 01:19 obones Assigned To => obones
2006-04-05 01:19 obones Note Added: 0008930


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker